# -*- coding: UTF-8 -*-
# -*- python -*-
# Copyright (C) 2006 by Sebastien Estienne
#
# This file may be distributed and/or modified under the terms of
# the GNU General Public License version 2 as published by
# the Free Software Foundation.
# This file is distributed without any warranty; without even the implied
# warranty of merchantability or fitness for a particular purpose.
# See "COPYING" in the source distribution for more information.
#
# $Id: xvncviewer.py.in 115 2006-08-06 23:52:31Z sebest $
#

from sdapplet.pluginutils import *
import subprocess

class plugin_xvncviewer:
    def __init__(self):
        self.service_type = ["_rfb._tcp"]
        self.author = "Sebastien Estienne"
        self.description = "Start a VNC connections with vncviewer"

    def connect(self, use_host_names, name, stype, hostname, address, port, txts):
        print "connecting using vncviewer"
	cmdline = ["/usr/local/share/service-discovery-applet/tools//exec_wrapper", "vncviewer", "-xrm", "*passwordDialog:true", hostname ]
	print cmdline
	pid = subprocess.Popen(cmdline, close_fds=True).pid

def load():
    return plugin_xvncviewer()
